Re: Can you please make TurboTax 2019 compatible w...
Level 15

Get your taxes done using TurboTax

Some software companies will issue *updates* for there product(s) for obsolete OS's, but I know of no software company that will write *NEW* software for a system that is no longer supported by the vendor of that system.  For one thing compatibility issues that are the fault of the OS become impossible to resolve for unsupported OS's.

 

Systems such as Apple Mac must use the Apple software developers package in order to use the Apple (Mac) system functions and the developer software only supports the current and last two releases so it is not possible to develop new Mac software for any OS prior to OS X 10.13 since it cannot even be complied.  Thus for 2019 only OS x 10.13 or later will be supported by TurboTax because it is not supported by Apple.  

 

Windows developers of new software might have similar issues that the current compilers do not support the older systems.

**Disclaimer: This post is for discussion purposes only and is NOT tax advice. The author takes no responsibility for the accuracy of any information in this post.**
This widget could not be displayed.
Privacy Settings